Timeframe
Keywords: com.gmscheduler.model.Timeframe class

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.gmscheduler.model
Class Timeframe

    java.lang.Object
      com.gmscheduler.model.Timeframe

    public class Timeframe

extends java.lang.Object

A `Timeframe` object represents a day and time range (start time and stop time). The time frame is used to represent a chunk of time.

Constructor Summary
`Timeframe(java.lang.String day, java.lang.Double starttime, java.lang.Double endtime)`
`Timeframe(java.lang.String day, java.lang.String starttime, java.lang.String endtime)`
`Timeframe(Timeframe u)`

Method Summary
`java.lang.String` | `getDay()` Returns the day.
`java.lang.String` | `getEnd()` Returns the end.
`java.lang.Double` | `getEndDouble()` Returns the end.
`java.lang.String` | `getStart()` Returns the start time.
`java.lang.Double` | `getStartDouble()` Returns the start.
`void` | `setDay(java.lang.String day)` Sets the Day.
`void` | `setEnd(java.lang.String endtime)` Sets the end time.
`void` | `setStart(java.lang.String starttime)` Sets the start time.
`java.lang.String` | `toString()`
`java.lang.String` | `toString(java.lang.Double time)` Converts a military time string into decimal hours.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Timeframe

    public Timeframe(java.lang.String day,
                     java.lang.String starttime,
                     java.lang.String endtime)

### Timeframe

    public Timeframe(java.lang.String day,
                     java.lang.Double starttime,
                     java.lang.Double endtime)

### Timeframe

    public Timeframe(Timeframe u)

Method Detail

### getDay

    public java.lang.String getDay()

  Returns the day.

  Returns:
    the day of the `Timeframe`

### getStart

    public java.lang.String getStart()

  Returns the start time.

  Returns:
    the start time of the `Timeframe`

### getEnd

    public java.lang.String getEnd()

  Returns the end.

  Returns:
    the end of the `Timeframe`

### setDay

    public void setDay(java.lang.String day)

  Sets the Day.

  Parameters:
    `day` - the new day

### setStart

    public void setStart(java.lang.String starttime)

  Sets the start time.

  Parameters:
    `starttime` - the new start

### setEnd

    public void setEnd(java.lang.String endtime)

  Sets the end time.

  Parameters:
    `endtime` - the new end

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getStartDouble

    public java.lang.Double getStartDouble()

  Returns the start.

  Returns:
    the start of the `Timeframe` as a `Double`

### getEndDouble

    public java.lang.Double getEndDouble()

  Returns the end.

  Returns:
    the end of the `Timeframe` as a `Double`

### toString

    public java.lang.String toString(java.lang.Double time)

  Converts a military time string into decimal hours.

  Parameters:
    `time` - a Double representation of military time
  Returns:
    the time in string format (ex: 12.25 returns 12:15)

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD